#### 3.17.1 ARC Options

These options are defined for ARC implementations:

`-EL`
  Compile code for little endian mode. This is the default.
`-EB`
  Compile code for big endian mode.
`-mmangle-cpu`
  Prepend the name of the cpu to all public symbol names. In multiple-processor systems, there are many ARC variants with different instruction and register set characteristics. This flag prevents code compiled for one cpu to be linked with code compiled for another. No facility exists for handling variants that are “almost identical”. This is an all or nothing option.
`-mcpu=`cpu
  Compile code for ARC variant cpu. Which variants are supported depend on the configuration. All variants support `-mcpu=base`, this is the default.
`-mtext=`text-section
`-mdata=`data-section
`-mrodata=`readonly-data-section
  Put functions, data, and readonly data in text-section, data-section, and readonly-data-section respectively by default. This can be overridden with the `section` attribute. See Variable Attributes.
`-mfix-cortex-m3-ldrd`
  Some Cortex-M3 cores can cause data corruption when `ldrd` instructions with overlapping destination and base registers are used. This option avoids generating these instructions. This option is enabled by default when `-mcpu=cortex-m3` is specified.